Skip to main content
cURL

Query Parameters

wait_for_response
boolean

If false, the response is sent immediately after the risk check. If true, the response is sent after the orders all go through the matching engine. Default - true.

detailed
boolean

Flag to receive a list of all order changes and a list of errors, or to only receive a list of errors. Default - false.

Example:

true

quote_id
string
required

Identifier of a mass quote message. Can be used to match trades to requests. We recommend using an incrementing counter.

Example:

"1"

mmp_group
string
required

Name of the MMP group. An MMP group has to be used and only one quote can exist per instrument per side per MMP group.

Example:

"default"

valid_until
integer

Timestamp, when provided server will start processing request in Matching Engine only before given timestamp, in other cases timed_out error will be responded. Remember that the given timestamp should be consistent with the server's time, use /public/time method to obtain current server time.

quotes
object[]
required

List of quotes.

Example:

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request